Bug 242993 - gnumeric fails to print landscape output
gnumeric fails to print landscape output
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libgnomecanvas (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 16:37 EDT by Bob Arendt
Modified: 2008-11-26 10:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 10:00:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Arendt 2007-06-06 16:37:09 EDT
Description of problem:
Despite selecting "Landscape" from the Print->Paper->PageOrientation dialog, the
 spreadsheet is always printed in a portrait orientation.  Selecting portrait
also results in portrait.  This occurs for both HP printers and PDF output.

Version-Release number of selected component (if applicable):
gnumeric-1.6.3-6.fc7
(used to work with gnumeric from fc6 fedora-extras)

How reproducible:
Always

Steps to Reproduce:
1.  Create simple spreadsheet
2.  Under File menu, select Print.
3.  Print tab:  select "Create a PDF document"
4.  Job   tab:  defaults
5.  Paper tab:  "Paper Size" -> Letter, "Page Orientation" -> Landscape
6.  Layout tab: Plain
7.  Click "Print Preview" button
     ... displays proper landscape orientation
8.  Click "Print" button
    ... PDF displays as portrait, or Postscript printer prints as portrait

Actual results:
Printed output is portrait (narrow/upright) orientation

Expected results:
Printed output is portrait (wide/sideways) orientation

Additional info:
Could this be associated with the shift to using gutenprint?
Comment 1 Bob Arendt 2007-06-06 17:09:40 EDT
(cut and paste error - should be:)
Expected results:
Printed output is landscape (wide/sideways) orientation
Comment 2 Hans de Goede 2007-06-08 11:17:53 EDT
Downgrading to the libgnomecanvas + libgnomeprint from FC-6 fixes this.

Only downgrading libgnomeprint has no effect, only downgrading libgnomecanvas
leads to a landscape print on a portrait page (text verticalled centered and the
right chopped of)

Changing component and assignee to libgnomecanvas.
Comment 3 Euan Maxwell 2008-02-07 10:02:03 EST
This issue prevails in Fedora 8 for me on x86_64, with version gnumeric-1.6.3-13.fc8

Comment 4 Bug Zapper 2008-11-26 02:18:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bob Arendt 2008-11-26 10:00:57 EST
This works in Fedora 9
libgnomecanvas-2.20.1.1-2.fc9.x86_64
gnumeric-1.8.2-2.fc9.x86_64

So I'll proactively close this, since it's fixed in a maintained version.

Note You need to log in before you can comment on or make changes to this bug.